#!/bin/sh

# This is an example cron script to check if services is alive, and restart it
# if not.
#

# Configurables
svsbin="/home/andy/services/bin/services"
pidfile="/home/andy/services/etc/services.pid"

if test -r $pidfile; then
	pid=`cat $pidfile`
	if `kill -0 $pid >/dev/null 2>&1`; then
		echo "Services already running"
		exit 0
	fi
	echo "stale $pidfile, erasing"
	rm -f $pidfile
fi
echo "Services is dead, reloading"
$svsbin
